@font-face{
    font-family: jet-bold;
    src: url("../fonts/Jet-Bold.ttf");
}
@font-face{
    font-family: jet-light;
    src: url("../fonts/Jet-Light.ttf");
}
@font-face{
    font-family: jet;
    src: url("../fonts/Jet.ttf"); 
}
@font-face{
    font-family: jet-black;
    src: url("../fonts/Jet-Black.ttf");
}

/* off-screen-menu */
.off-screen-menu {
    bottom: 0;
    height: 10vh;
    width: 100%;
    max-width: 800px;
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;    
    justify-content: center;
    font-size: 20px;
    transition: .3s ease;
    background-color: #171516;
    display: none;
}
.off-screen-menu.active {
    top: 100%;
    display: flex;
}
.off-screen-menu ul{
    display: flex;
    gap: 20px;
    width: fit-content;
    margin-right: 60px;
}
.ham-list{
    list-style: none;
}
.ham-option a{
    text-decoration: none;
    color: white;
    font-family: jet-light;
}
.ham-position{
    text-decoration: none;
    font-family: jet-light;
}
.container-navs{
    display: flex;
    align-items: center;
}
/* nav */
nav {
    padding: 1rem;
    display: flex;
}

/* ham menu */
.hamburguesa{
    height: 50px;
    width: 40px;
    margin-left: auto;
    position: relative;
    margin-top: 40%;
    display: none;
}
.hamburguesa span {
    height: 5px;
    width: 100%;
    background-color: white;
    border-radius: 25px;
    position: absolute;
    transform: translate(-50%, -50%);
    transition: .3s ease;
    cursor: pointer;
}
.hamburguesa span:nth-child(1) {
    top: 25%;
}
.hamburguesa span:nth-child(3) {
    top: 50%;
}
.hamburguesa.active span {
    background-color: white;
    cursor: pointer;
}
.hamburguesa.active span:nth-child(1) {
    top: 30%;
    transform: translate(-50%, -50%) rotate(45deg);
}
.hamburguesa.active span:nth-child(2) {
    opacity: 0;
}
.hamburguesa.active span:nth-child(3) {
    top: 30%;
    transform: translate(-50%, -50%) rotate(-45deg);
}
@media screen and (max-width: 1030px){
    .hamburguesa{
        display: block;
    }
}
@media screen and (max-width: 430px){
    .off-screen-menu{
        height: fit-content;
    }
    .ham-list{
        display: flex;
        flex-direction: column;
    }
}